%define version	2.4
%define release	0.b2.4mdk

Summary:	Network audit tools
Name:		dsniff
Version:	%{version}
Release:	%{release}
URL:		http://www.monkey.org/~dugsong/
License:	BSD
# http://packetstormsecurity.nl/sniffers/dsniff/dsniff-2.4b2.tar.gz
Source0:	http://www.monkey.org/~dugsong/%{name}/%{name}-%{version}b2.tar.bz2
Source1:	%{name}.bash-completion.bz2
Patch0:		%{name}-%{version}-slist.patch.bz2
Patch1:		%{name}-%{version}-gg.patch.bz2
Patch2:		%{name}-%{version}-db4.diff.bz2
Patch3:		%{name}-%{version}-missing-header.patch.bz2
Group:		Monitoring
BuildRequires:	XFree86-devel
BuildRequires:	db-devel
#BuildRequires:	glibc-static-devel
BuildRequires:	net-devel >= 1.1.0
BuildRequires:	libnids-devel
BuildRequires:	libpcap-devel
BuildRequires:	openssl-devel
#BuildRequires:	autoconf2.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Tools to audit network and to demonstrate the insecurity of cleartext
network protocols. Please do not abuse this software.

%package webspy
Summary:	Network audit tools
Group:		Monitoring
Requires:	%{name} = %{version}
#Requires:	netscape-navigator

%description webspy
webspy sends URLs sniffed from a client to your local Netscape browser
for display, updated in real-time (as the target surfs, your browser
surfs along with them, automagically). Netscape must be running on
your local X display ahead of time.

%prep

%setup -q -n %{name}-%{version}b2
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p0

bzcat %{SOURCE1} > %{name}.bash-completion

#lib64 fixes
perl -pi -e 's|/lib/|/%{_lib}/|g' configure*
perl -pi -e 's|/lib\ |/%{_lib}\ |g' configure*

%build
#rm -f configure
#autoheader-2.13; aclocal-1.4; autoconf-2.13

%configure \
    --libdir="%{_sysconfdir}/%{name}"

%make

%install
rm -rf %{buildroot}

%{__make} install_prefix="$RPM_BUILD_ROOT" install

chmod 644 CHANGES README TODO

install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
install -m 644 %{name}.bash-completion $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README TODO
%config(noreplace) %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
%exclude %{_sbindir}/webspy
%exclude %{_mandir}/man8/webspy.*
%{_sbindir}/*
%{_mandir}/man8/*

%files webspy
%defattr(-,root,root)
%{_sbindir}/webspy
%{_mandir}/man8/webspy.8*

%changelog
* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.4-0.b2.4mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Sat Jun 11 2005 Oden Eriksson <oeriksson@mandriva.com> 2.4-0.b2.3mdk 
- fix bdb linkage by re-generating a full patch on 10.0 (duh!)
- reorder patches

* Fri Apr 01 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.4-0.b2.2mdk 
- fix bash completion

* Tue Jul 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.4-0.b2.1mdk
- 2.4b2
- rebuilt against new deps
- fix deps

* Sat Jan 17 2004 Abel Cheung <deaddog@deaddog.org> 2.4-0.b1.5mdk
- Remove bash-completion dependency
- Bump libnet requirement
- Use percent-exclude to simplify file list

* Mon Dec 29 2003 Guillaume Rousse <guillomovitch@mandrake.org> 2.4-0.b1.4mdk
- added bash-completion
- disabled patch6 (libnet is not libnet1)

* Tue Oct 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.4-0.b1.3mdk
- drop redundant requires
- fix buildrequires for lib64

* Sat Aug 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.4-0.b1.2mdk
- fix P3

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.4-0.b1.1mdk
- fix versioning

* Tue Jul 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.4-b1.0.3mdk
- make it compile again (P6)

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.4-b1.0.2mdk
- build release
- the obvious db4 patch
- misc spec file fixes

* Thu Dec 19 2002 Per yvind Karlsen <peroyvind@sintrax.net> 2.4-b1.0.1mdk
- 2.4b1 (to avoid segfaults)
- Updated Patch0, Patch2, Patch3, removed Patch1 & Patch4, added Patch5
- Cleanups

* Sun Oct 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3-2mdk
- cannot require "libopenssl", duh!

* Sun Oct 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3-1mdk
- initial cooker contrib (ripped from PLD, adapted for ML)
- added P3 & P4 (me)
